SelectConstants (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a.select, class: SelectConstants

Package org.apache.hadoop.fs.s3a.select

# Class SelectConstants

java.lang.Object
org.apache.hadoop.fs.s3a.select.SelectConstants

@Public @Stable @Deprecated public final class SelectConstants extends Object
Deprecated.
Options related to S3 Select. These options are set for the entire filesystem unless overridden as an option in the URI. The S3 Select API is no longer supported -however this class is retained so that any application which imports the dependencies will still link.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COMPRESSION_OPT_GZIP`
  Deprecated.
  Gzipped.
  `static final String`
  `COMPRESSION_OPT_NONE`
  Deprecated.
  No compression.
  `static final String`
  `CSV_HEADER_OPT_IGNORE`
  Deprecated.
  Ignore the header.
  `static final String`
  `CSV_HEADER_OPT_NONE`
  Deprecated.
  No header: first row is data.
  `static final String`
  `CSV_HEADER_OPT_USE`
  Deprecated.
  Use the header.
  `static final String`
  `CSV_INPUT_COMMENT_MARKER`
  Deprecated.
  String which indicates the row is actually a comment.
  `static final String`
  `CSV_INPUT_COMMENT_MARKER_DEFAULT`
  Deprecated.
  Default marker.
  `static final String`
  `CSV_INPUT_FIELD_DELIMITER_DEFAULT`
  Deprecated.
  Default field delimiter.
  `static final String`
  `CSV_INPUT_HEADER`
  Deprecated.
  How should headers be used?
  `static final String`
  `CSV_INPUT_HEADER_OPT_DEFAULT`
  Deprecated.
  Default header mode: "ignore".
  `static final String`
  `CSV_INPUT_INPUT_FIELD_DELIMITER`
  Deprecated.
  Field delimiter.
  `static final String`
  `CSV_INPUT_QUOTE_CHARACTER`
  Deprecated.
  Quote Character.
  `static final String`
  `CSV_INPUT_QUOTE_CHARACTER_DEFAULT`
  Deprecated.
  Default Quote Character.
  `static final String`
  `CSV_INPUT_QUOTE_ESCAPE_CHARACTER`
  Deprecated.
  Character to escape quotes.
  `static final String`
  `CSV_INPUT_QUOTE_ESCAPE_CHARACTER_DEFAULT`
  Deprecated.
  Default quote escape character.
  `static final String`
  `CSV_INPUT_RECORD_DELIMITER`
  Deprecated.
  Record delimiter.
  `static final String`
  `CSV_INPUT_RECORD_DELIMITER_DEFAULT`
  Deprecated.
  Default delimiter Value: "\n".
  `static final String`
  `CSV_OUTPUT_FIELD_DELIMITER`
  Deprecated.
  Field delimiter.
  `static final String`
  `CSV_OUTPUT_FIELD_DELIMITER_DEFAULT`
  Deprecated.
  Default field delimiter.
  `static final String`
  `CSV_OUTPUT_QUOTE_CHARACTER`
  Deprecated.
  Quote Character.
  `static final String`
  `CSV_OUTPUT_QUOTE_CHARACTER_DEFAULT`
  Deprecated.
  Default Quote Character.
  `static final String`
  `CSV_OUTPUT_QUOTE_ESCAPE_CHARACTER`
  Deprecated.
  Character to escape quotes.
  `static final String`
  `CSV_OUTPUT_QUOTE_ESCAPE_CHARACTER_DEFAULT`
  Deprecated.
  Default quote escape character.
  `static final String`
  `CSV_OUTPUT_QUOTE_FIELDS`
  Deprecated.
  Should CSV fields be quoted?
  `static final String`
  `CSV_OUTPUT_QUOTE_FIELDS_ALWAYS`
  Deprecated.
  Output quotation policy (default): "always".
  `static final String`
  `CSV_OUTPUT_QUOTE_FIELDS_AS_NEEEDED`
  Deprecated.
  Output quotation policy: "asneeded".
  `static final String`
  `CSV_OUTPUT_RECORD_DELIMITER`
  Deprecated.
  Record delimiter.
  `static final String`
  `CSV_OUTPUT_RECORD_DELIMITER_DEFAULT`
  Deprecated.
  Default delimiter Value: "\n".
  `static final String`
  `FS_S3A_SELECT`
  Deprecated.
  `static final String`
  `FS_S3A_SELECT_ENABLED`
  Deprecated.
  Flag: is S3 select enabled?
  `static final String`
  `FS_S3A_SELECT_INPUT_CSV`
  Deprecated.
  Prefix for all CSV input options.
  `static final String`
  `FS_S3A_SELECT_OUTPUT_CSV`
  Deprecated.
  Prefix for all CSV output options.
  `static final String`
  `NAME`
  Deprecated.
  `static final String`
  `S3_SELECT_CAPABILITY`
  Deprecated.
  Does the FS Support S3 Select?
  `static final String`
  `SELECT_ERRORS_INCLUDE_SQL`
  Deprecated.
  Should Select errors include the SQL statement?
  `static final String`
  `SELECT_FORMAT_CSV`
  Deprecated.
  CSV as an input or output format: "csv".
  `static final String`
  `SELECT_FORMAT_JSON`
  Deprecated.
  JSON as an input or output format: "json".
  `static final String`
  `SELECT_INPUT_COMPRESSION`
  Deprecated.
  How is the input compressed?
  `static final String`
  `SELECT_INPUT_FORMAT`
  Deprecated.
  Input format for data.
  `static final String`
  `SELECT_OUTPUT_FORMAT`
  Deprecated.
  Output format for data -that is, what the results are generated as.
  `static final String`
  `SELECT_SQL`
  Deprecated.
  This is the big SQL expression: "fs.s3a.select.sql".
  `static final String`
  `SELECT_UNSUPPORTED`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SELECT_UNSUPPORTED

    public static final String SELECT_UNSUPPORTED
    Deprecated.
    See Also:
      - Constant Field Values

  - ### NAME

    public static final String NAME
    Deprecated.
    See Also:
      - Constant Field Values

  - ### FS_S3A_SELECT

    public static final String FS_S3A_SELECT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SELECT_SQL

    public static final String SELECT_SQL
    Deprecated.
    This is the big SQL expression: "fs.s3a.select.sql". When used in an open() call:
    1. if the option is set in a `.may()` clause: warn and continue
    2. if the option is set in a `.must()` clause: `UnsupportedOperationException`.
    See Also:
      - Constant Field Values

  - ### S3_SELECT_CAPABILITY

    public static final String S3_SELECT_CAPABILITY
    Deprecated.
    Does the FS Support S3 Select? This is false everywhere. Value: "fs.s3a.capability.select.sql".
    See Also:
      - Constant Field Values

  - ### FS_S3A_SELECT_ENABLED

    public static final String FS_S3A_SELECT_ENABLED
    Deprecated.
    Flag: is S3 select enabled? Value: "fs.s3a.select.enabled".
    See Also:
      - Constant Field Values

  - ### SELECT_INPUT_FORMAT

    public static final String SELECT_INPUT_FORMAT
    Deprecated.
    Input format for data. Value: "fs.s3a.select.input.format".
    See Also:
      - Constant Field Values

  - ### SELECT_OUTPUT_FORMAT

    public static final String SELECT_OUTPUT_FORMAT
    Deprecated.
    Output format for data -that is, what the results are generated as. Value: "fs.s3a.select.output.format".
    See Also:
      - Constant Field Values

  - ### SELECT_FORMAT_CSV

    public static final String SELECT_FORMAT_CSV
    Deprecated.
    CSV as an input or output format: "csv".
    See Also:
      - Constant Field Values

  - ### SELECT_FORMAT_JSON

    public static final String SELECT_FORMAT_JSON
    Deprecated.
    JSON as an input or output format: "json".
    See Also:
      - Constant Field Values

  - ### SELECT_ERRORS_INCLUDE_SQL

    public static final String SELECT_ERRORS_INCLUDE_SQL
    Deprecated.
    Should Select errors include the SQL statement? It is easier to debug but a security risk if the exceptions ever get printed/logged and the query contains secrets.
    See Also:
      - Constant Field Values

  - ### SELECT_INPUT_COMPRESSION

    public static final String SELECT_INPUT_COMPRESSION
    Deprecated.
    How is the input compressed? This applies to all formats. Value: "fs.s3a.select.input.compression".
    See Also:
      - Constant Field Values

  - ### COMPRESSION_OPT_NONE

    public static final String COMPRESSION_OPT_NONE
    Deprecated.
    No compression. Value: "none".
    See Also:
      - Constant Field Values

  - ### COMPRESSION_OPT_GZIP

    public static final String COMPRESSION_OPT_GZIP
    Deprecated.
    Gzipped. Value: "gzip".
    See Also:
      - Constant Field Values

  - ### FS_S3A_SELECT_INPUT_CSV

    public static final String FS_S3A_SELECT_INPUT_CSV
    Deprecated.
    Prefix for all CSV input options. Value: "fs.s3a.select.input.csv.".
    See Also:
      - Constant Field Values

  - ### FS_S3A_SELECT_OUTPUT_CSV

    public static final String FS_S3A_SELECT_OUTPUT_CSV
    Deprecated.
    Prefix for all CSV output options. Value: "fs.s3a.select.output.csv.".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_COMMENT_MARKER

    public static final String CSV_INPUT_COMMENT_MARKER
    Deprecated.
    String which indicates the row is actually a comment. Value: "fs.s3a.select.input.csv.comment.marker".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_COMMENT_MARKER_DEFAULT

    public static final String CSV_INPUT_COMMENT_MARKER_DEFAULT
    Deprecated.
    Default marker. Value: "#".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_RECORD_DELIMITER

    public static final String CSV_INPUT_RECORD_DELIMITER
    Deprecated.
    Record delimiter. CR, LF, etc. Value: "fs.s3a.select.input.csv.record.delimiter".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_RECORD_DELIMITER_DEFAULT

    public static final String CSV_INPUT_RECORD_DELIMITER_DEFAULT
    Deprecated.
    Default delimiter Value: "\n".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_INPUT_FIELD_DELIMITER

    public static final String CSV_INPUT_INPUT_FIELD_DELIMITER
    Deprecated.
    Field delimiter. Value: "fs.s3a.select.input.csv.field.delimiter".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_FIELD_DELIMITER_DEFAULT

    public static final String CSV_INPUT_FIELD_DELIMITER_DEFAULT
    Deprecated.
    Default field delimiter. Value: ",".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_QUOTE_CHARACTER

    public static final String CSV_INPUT_QUOTE_CHARACTER
    Deprecated.
    Quote Character. Value: "fs.s3a.select.input.csv.quote.character".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_QUOTE_CHARACTER_DEFAULT

    public static final String CSV_INPUT_QUOTE_CHARACTER_DEFAULT
    Deprecated.
    Default Quote Character. Value: "\"".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_QUOTE_ESCAPE_CHARACTER

    public static final String CSV_INPUT_QUOTE_ESCAPE_CHARACTER
    Deprecated.
    Character to escape quotes. If empty: no escaping. Value: "fs.s3a.select.input.csv.quote.escape.character".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_QUOTE_ESCAPE_CHARACTER_DEFAULT

    public static final String CSV_INPUT_QUOTE_ESCAPE_CHARACTER_DEFAULT
    Deprecated.
    Default quote escape character. Value: "\\".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_HEADER

    public static final String CSV_INPUT_HEADER
    Deprecated.
    How should headers be used? Value: "fs.s3a.select.input.csv.header".
    See Also:
      - Constant Field Values

  - ### CSV_HEADER_OPT_NONE

    public static final String CSV_HEADER_OPT_NONE
    Deprecated.
    No header: first row is data. Value: "none".
    See Also:
      - Constant Field Values

  - ### CSV_HEADER_OPT_IGNORE

    public static final String CSV_HEADER_OPT_IGNORE
    Deprecated.
    Ignore the header. Value: "ignore".
    See Also:
      - Constant Field Values

  - ### CSV_HEADER_OPT_USE

    public static final String CSV_HEADER_OPT_USE
    Deprecated.
    Use the header. Value: "use".
    See Also:
      - Constant Field Values

  - ### CSV_INPUT_HEADER_OPT_DEFAULT

    public static final String CSV_INPUT_HEADER_OPT_DEFAULT
    Deprecated.
    Default header mode: "ignore".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_RECORD_DELIMITER

    public static final String CSV_OUTPUT_RECORD_DELIMITER
    Deprecated.
    Record delimiter. CR, LF, etc. Value: "fs.s3a.select.output.csv.record.delimiter".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_RECORD_DELIMITER_DEFAULT

    public static final String CSV_OUTPUT_RECORD_DELIMITER_DEFAULT
    Deprecated.
    Default delimiter Value: "\n".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_FIELD_DELIMITER

    public static final String CSV_OUTPUT_FIELD_DELIMITER
    Deprecated.
    Field delimiter. Value: "fs.s3a.select.output.csv.field.delimiter".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_FIELD_DELIMITER_DEFAULT

    public static final String CSV_OUTPUT_FIELD_DELIMITER_DEFAULT
    Deprecated.
    Default field delimiter. Value: ",".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_QUOTE_CHARACTER

    public static final String CSV_OUTPUT_QUOTE_CHARACTER
    Deprecated.
    Quote Character. Value: "fs.s3a.select.output.csv.quote.character".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_QUOTE_CHARACTER_DEFAULT

    public static final String CSV_OUTPUT_QUOTE_CHARACTER_DEFAULT
    Deprecated.
    Default Quote Character. Value: "\"".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_QUOTE_FIELDS

    public static final String CSV_OUTPUT_QUOTE_FIELDS
    Deprecated.
    Should CSV fields be quoted? One of : ALWAYS, ASNEEDED Value: "fs.s3a.select.output.csv.quote.fields".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_QUOTE_FIELDS_ALWAYS

    public static final String CSV_OUTPUT_QUOTE_FIELDS_ALWAYS
    Deprecated.
    Output quotation policy (default): "always".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_QUOTE_FIELDS_AS_NEEEDED

    public static final String CSV_OUTPUT_QUOTE_FIELDS_AS_NEEEDED
    Deprecated.
    Output quotation policy: "asneeded".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_QUOTE_ESCAPE_CHARACTER

    public static final String CSV_OUTPUT_QUOTE_ESCAPE_CHARACTER
    Deprecated.
    Character to escape quotes. If empty: no escaping. Value: "fs.s3a.select.output.csv.quote.escape.character".
    See Also:
      - Constant Field Values

  - ### CSV_OUTPUT_QUOTE_ESCAPE_CHARACTER_DEFAULT

    public static final String CSV_OUTPUT_QUOTE_ESCAPE_CHARACTER_DEFAULT
    Deprecated.
    Default quote escape character. Value: "".
    See Also:
      - Constant Field Values